Fatal error
« on: September 19, 2013, 09:46:36 AM »
Hi guys

When i try to go to my url after installed osdate i am receiving below error. Any idea how to fix it? My PHP memory set to 256mb in php.ini

Fatal error: Allowed memory size of 268435456 bytes exhausted (tried to allocate 71 bytes) in /........./......./public_html/init.php on line 333

*

marcam

  • ****
  • 267
Re: Fatal error
« Reply #1 on: September 20, 2013, 12:33:37 AM »
you try to install on windows server ?

Marc
osdate 2.5.4
Flashchat 4.7
php 5.2.7

Re: Fatal error
« Reply #2 on: September 20, 2013, 08:53:52 AM »
no Centos but I  fixed it now.

*

CBG

  • *****
  • 673
    • osDate Forum
Re: Fatal error
« Reply #3 on: September 23, 2013, 10:31:04 AM »
Hi,

Yeh this one is a common problems where PHP runs out of memory, regardless Linux or Windows OS.
The fix for this is, to up the PHP memory in .htacess or php.ini depending on your setup
Regards,
CBG (Garry)
osDate: 2.6.5, 2.7 & Evo
PHP: 5.5.x/5.6.x (5.3.x to 5.6.x) | MySQL: 5.5.34-cll

Re: Fatal error
« Reply #4 on: December 10, 2013, 02:17:46 PM »
I got the same problem
Quote
Fatal error: Allowed memory size of 268435456 bytes exhausted (tried to allocate 71 bytes) in /***/***/public_html/init.php on line 335

Installed on Linux CentOS

I read the previous posts.

Editing .htaccess gave a 500 error.
I made an php.ini and added the suggested lines to it but it didn't work

I have had a lot of other things installed before on this and never had this problem. Atm I have a phpbb forum installed at the same host (another account) and not had this problem
« Last Edit: December 10, 2013, 05:39:08 PM by Senua »
OSDate: 2.6
PHP: 5.2.x
MySQL: 5.1.52

Re: Fatal error
« Reply #5 on: December 10, 2013, 09:39:40 PM »
So I contacted my host (hostgator) and their support is really awesome.
I was on chat with tec support for more than an hour and send them all kind of info about osDate and he tried different things to make it work.
Unfortunately he wasn't able to help me so I hope someone here have a solution.
OSDate: 2.6
PHP: 5.2.x
MySQL: 5.1.52

*

marcam

  • ****
  • 267
Re: Fatal error
« Reply #6 on: December 10, 2013, 09:43:48 PM »
So I contacted my host (hostgator) and their support is really awesome.
I was on chat with tec support for more than an hour and send them all kind of info about osDate and he tried different things to make it work.
Unfortunately he wasn't able to help me so I hope someone here have a solution.

hi , you are on windows or linux server  ??

Marc
osdate 2.5.4
Flashchat 4.7
php 5.2.7

Re: Fatal error
« Reply #7 on: December 10, 2013, 11:40:57 PM »
Linux CentOS

NWM It was reinstalled last night and so far it's working  :)
« Last Edit: December 11, 2013, 10:50:58 AM by Senua »
OSDate: 2.6
PHP: 5.2.x
MySQL: 5.1.52

Re: Fatal error
« Reply #8 on: October 09, 2014, 07:49:04 PM »
I am having the same issue. How did you guys fix it?

*

Pharg

  • *****
  • 2,065
  • osDate Version: osDate Evo v1.0
Re: Fatal error
« Reply #9 on: October 09, 2014, 09:18:44 PM »
I am having the same issue. How did you guys fix it?

Hi istemi,

What version osdate did you install and what is the php version and Mysql version your using on the host?
You need to install osDate 2.6.5 on php 5.3 not higher or you will have problems
Regards,
Pharg ( Phill )

REMEMBER: ALWAYS BACKUP BEFORE YOU MAKE ANY CHANGES!!

osDateEvo v1.0 | PHP: 5.3.42 & PHP: 5.6.18 | MySQL: 5.5.35

Re: Fatal error
« Reply #10 on: October 09, 2014, 10:45:12 PM »
osDate v254, PHP 5.2, Mysql 5.1.66

There were problems with php 5.3 and 5.4 so i changed it.

*

Pharg

  • *****
  • 2,065
  • osDate Version: osDate Evo v1.0
Re: Fatal error
« Reply #11 on: October 10, 2014, 03:01:46 AM »
osDate v254, PHP 5.2, Mysql 5.1.66

There were problems with php 5.3 and 5.4 so i changed it.

Hi istemi,

You need to still install osDate version 2.6.5 as version 2.4 is out of date and will get heaps more problems.
It will work on php 5.2 fine :)
Regards,
Pharg ( Phill )

REMEMBER: ALWAYS BACKUP BEFORE YOU MAKE ANY CHANGES!!

osDateEvo v1.0 | PHP: 5.3.42 & PHP: 5.6.18 | MySQL: 5.5.35

Re: Fatal error
« Reply #12 on: October 10, 2014, 03:03:49 AM »
you right, does 2.6.5 work on php 5.4?

*

Pharg

  • *****
  • 2,065
  • osDate Version: osDate Evo v1.0
Re: Fatal error
« Reply #13 on: October 10, 2014, 08:33:13 AM »
Hi istemi,

I have it running on php 5.4 so yes I would say :)
Regards,
Pharg ( Phill )

REMEMBER: ALWAYS BACKUP BEFORE YOU MAKE ANY CHANGES!!

osDateEvo v1.0 | PHP: 5.3.42 & PHP: 5.6.18 | MySQL: 5.5.35

Re: Fatal error
« Reply #14 on: October 10, 2014, 08:35:07 AM »
Changed the host. Just installed, and configuring right now, no problems so far.